Bug 137329 - krb5 packaging issues
Summary: krb5 packaging issues
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-27 15:50 UTC by Matthew Galgoci
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 15:56:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed spec file changes (36.20 KB, text/plain)
2004-11-01 19:10 UTC, Matthew Galgoci
no flags Details

Description Matthew Galgoci 2004-10-27 15:50:57 UTC
Description of problem:

krb5-workstation is a pain because it required xinetd.
krb5-workstation should really be _at_least_ two sub packages that
break things out into inet services that require xinetd, client utils
that include the network programs that use gss service, and another
package for manipulating kerberos tickets.

I can do the work and send you a spec file patch if you would like.

I am on a crusade to get rid of all the bogus deps that pull in xinetd.

Comment 1 Matthew Galgoci 2004-11-01 19:10:05 UTC
Created attachment 106037 [details]
proposed spec file changes

Attached is a proposed spec file that splits workstation into user and inet
subpackages.

Comment 2 Nalin Dahyabhai 2004-11-01 22:42:20 UTC
You need to handle the upgrade cases (obsoleting krb5-workstation,
triggering xinetd restarts as appropriate) for this to not break on
upgrades.

Comment 3 John Thacker 2006-10-30 15:56:18 UTC
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.